Package org.apache.felix.http.base.internal.runtime

# Class ServletInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<jakarta.servlet.Servlet>
org.apache.felix.http.base.internal.runtime.ServletInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<jakarta.servlet.Servlet>>`

public class ServletInfo extends WhiteboardServiceInfo<jakarta.servlet.Servlet>
Provides registration information for a `Servlet`, and is used to programmatically register `Servlet`s.

This class only provides information used at registration time, and as such differs slightly from `DTO`s like, `ServletDTO`.

## Constructor Summary

Constructors
Constructor
Description
`ServletInfo(String name, String pattern, Map<String,String> initParams)`
Constructor for Http Service
`ServletInfo(ResourceInfo resource)`
`ServletInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Servlet> ref)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getClassName(@NotNull jakarta.servlet.Servlet servlet)`
Get the class name of the servlet
`String[]`
`getErrorPage()`
`Map<String,String>`
`getInitParameters()`
Returns an unmodifiable map of the init parameters.
`MultipartConfig`
`getMultipartConfig()`
`String`
`getName()`
`String[]`
`getPatterns()`
`String`
`getPrefix()`
`@NotNull String`
`getType()`
Get the type represented by this info
`boolean`
`isAsyncSupported()`
`boolean`
`isResource()`
`boolean`
`isSame(AbstractInfo<jakarta.servlet.Servlet> other)`
Compare two info objects
`boolean`
`isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getService, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty, ungetService`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletInfo

public ServletInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Servlet> ref)

### ServletInfo

public ServletInfo(ResourceInfo resource)

### ServletInfo

public ServletInfo(String name, String pattern, Map<String,String> initParams)
Constructor for Http Service

Parameters:
  `name` - The servlet name
  `pattern` - The pattern
  `initParams` - The init parameters

## Method Details

### isValid

public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<jakarta.servlet.Servlet>`

### getName

public String getName()

### getPatterns

public String[] getPatterns()

### getErrorPage

public String[] getErrorPage()

### isAsyncSupported

public boolean isAsyncSupported()

### getInitParameters

public Map<String,String> getInitParameters()
Returns an unmodifiable map of the init parameters.

Returns:
  The init parameters

### isResource

public boolean isResource()

### getPrefix

public String getPrefix()

### getMultipartConfig

public MultipartConfig getMultipartConfig()

### getType

@NotNull public @NotNull String getType()
Description copied from class: `AbstractInfo`
Get the type represented by this info

Specified by:
  `getType` in class `AbstractInfo<jakarta.servlet.Servlet>`
Returns:
  The type

### getClassName

@NotNull public @NotNull String getClassName(@NotNull @NotNull jakarta.servlet.Servlet servlet)
Get the class name of the servlet

Parameters:
  `servlet` - The servlet
Returns:
  The class name

### isSame

public boolean isSame(AbstractInfo<jakarta.servlet.Servlet> other)
Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<jakarta.servlet.Servlet>`
Parameters:
  `other` - The other info object
Returns:
  `true` if the objects are the same